from sys import setrecursionlimit
from math import sqrt, prod
from functools import lru_cache

def is_prime(n: int) -> bool:
    k = 0
    for j in range(1, int(sqrt(n)) + 1):
        if n % j == 0:
            k += 1
            b = n // j
            if b != j:
                k += 1
    return k == 2

@lru_cache(None)
def solve(l: int, r: int) -> int:
    k = 0
    for i in range(l, r + 1):
        if '0' in str(i):
            continue
        else:
            prod_of_digits = prod([int(x) for x in str(i)])
            if is_prime(int(prod_of_digits)):
                k += 1
    return k
def main():
    l = int(input())
    r = int(input())
    print(solve(l,r))

if __name__ == '__main__':
    setrecursionlimit(10**9)
    main()